Bug 140515 - new port, lang/qore
Summary: new port, lang/qore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-12 22:00 UTC by estrabd
Modified: 2009-11-13 02:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description estrabd 2009-11-12 22:00:07 UTC
	The Qore programming language is a powerful, thread-capable, embeddable weakly-typed language with procedural and object-oriented features designed for anything from quick scripting to complex multithreaded, network-aware application development to embedded application scripting. Qore was initially designed to facilitate the rapid implementation of sophisticated interfaces in embedded code in an enterprise environment, and has since grown into a general-purpose language as well.

--- qore.report begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	qore
#	qore/Makefile
#	qore/distinfo
#	qore/pkg-descr
#	qore/pkg-plist
#
echo c - qore
mkdir -p qore > /dev/null 2>&1
echo x - qore/Makefile
sed 's/^X//' >qore/Makefile << 'f56d26be0361bf5ec9412d518e687a61'
X# Ports collection makefile for:   qore
X# Date created:        12 November 2009
X# Whom:                B. Estrade <estrabd@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=      qore
XPORTVERSION=   0.7.6
XCATEGORIES=    lang
XMASTER_SITES=  SF/qore/qore/0.7.6/
X
XMAINTAINER=    estrabd@gmail.com
XCOMMENT=       The Qore Programming Language
X
XLIB_DEPENDS=   ssl:${PORTSDIR}/security/openssl pcre:${PORTSDIR}/devel/pcre \
X		xml2:${PORTSDIR}/textproc/libxml2 bz2:${PORTSDIR}/archivers/bzip2
XBUILD_DEPENDS= ${LOCALBASE}/bin/flex:${PORTSDIR}/textproc/flex ${LOCALBASE}/bin/bison:${PORTSDIR}/devel/bison
X
XGNU_CONFIGURE=yes
XCONFIGURE_ARGS=--disable-debug --disable-static
X
X.include <bsd.port.mk>
f56d26be0361bf5ec9412d518e687a61
echo x - qore/distinfo
sed 's/^X//' >qore/distinfo << '78528e0d822043589b1104c85f1d19c9'
XMD5 (qore-0.7.6.tar.gz) = df586d1cd81e172f82cce19fe5b84824
XSHA256 (qore-0.7.6.tar.gz) = 4916b1cb1887f98bb80e0a8f45d7ee0f6c17dd68e77216f55558231d2528fb52
XSIZE (qore-0.7.6.tar.gz) = 2542254
78528e0d822043589b1104c85f1d19c9
echo x - qore/pkg-descr
sed 's/^X//' >qore/pkg-descr << 'c42fc50b57f802245719f19d0e6f7e3e'
XQore is a dynamically-typed, embeddabble programming 
Xlanguage designed for SMP scalability.
X
XWWW: http://www.qore.org
c42fc50b57f802245719f19d0e6f7e3e
echo x - qore/pkg-plist
sed 's/^X//' >qore/pkg-plist << 'c750defbdb9ee7095f0bb4f42474a41a'
Xbin/qore
Xlib/libqore.la
Xlib/libqore.so
Xlib/libqore.so.8
Xman/man1/qore.1
Xinclude/qore/ReferenceArgumentHelper.h
Xinclude/qore/ReferenceHelper.h
Xinclude/qore/qore_thread.h
Xinclude/qore/AbstractThreadResource.h
Xinclude/qore/QoreProgram.h
Xinclude/qore/QoreReferenceCounter.h
Xinclude/qore/AbstractPrivateData.h
Xinclude/qore/QoreType.h
Xinclude/qore/QoreListNode.h
Xinclude/qore/QoreBigIntNode.h
Xinclude/qore/QoreBoolNode.h
Xinclude/qore/QoreFloatNode.h
Xinclude/qore/QoreNothingNode.h
Xinclude/qore/QoreNullNode.h
Xinclude/qore/params.h
Xinclude/qore/node_types.h
Xinclude/qore/BuiltinFunctionList.h
Xinclude/qore/QoreThreadLock.h
Xinclude/qore/QoreThreadLocalStorage.h
Xinclude/qore/QoreClass.h
Xinclude/qore/QoreString.h
Xinclude/qore/qore-version.h
Xinclude/qore/common.h
Xinclude/qore/QoreEncoding.h
Xinclude/qore/DateTime.h
Xinclude/qore/support.h
Xinclude/qore/ExceptionSink.h
Xinclude/qore/AbstractQoreNode.h
Xinclude/qore/QoreNodeEvalOptionalRefHolder.h
Xinclude/qore/QoreStringNode.h
Xinclude/qore/DateTimeNode.h
Xinclude/qore/QoreHashNode.h
Xinclude/qore/ModuleManager.h
Xinclude/qore/QoreNamespace.h
Xinclude/qore/QoreObject.h
Xinclude/qore/macros.h
Xinclude/qore/macros-i386.h
Xinclude/qore/macros-x86_64.h
Xinclude/qore/DBI.h
Xinclude/qore/macros-powerpc.h
Xinclude/qore/macros-sparc.h
Xinclude/qore/macros-ia64.h
Xinclude/qore/QoreSocket.h
Xinclude/qore/QoreNet.h
Xinclude/qore/QoreURL.h
Xinclude/qore/Restrictions.h
Xinclude/qore/QoreLib.h
Xinclude/qore/QoreCondition.h
Xinclude/qore/QoreCounter.h
Xinclude/qore/BinaryNode.h
Xinclude/qore/ReferenceNode.h
Xinclude/qore/CallReferenceNode.h
Xinclude/qore/hash_map.h
Xinclude/qore/QoreFtpClient.h
Xinclude/qore/safe_dslist
Xinclude/qore/qore_bitopts.h
Xinclude/qore/QoreSSLBase.h
Xinclude/qore/Datasource.h
Xinclude/qore/SystemEnvironment.h
Xinclude/qore/ParseOptionMap.h
Xinclude/qore/QoreHTTPClient.h
Xinclude/qore/ScopeGuard.h
Xinclude/qore/ReferenceHolder.h
Xinclude/qore/QoreSSLCertificate.h
Xinclude/qore/QoreSSLPrivateKey.h
Xinclude/qore/AutoVLock.h
Xinclude/qore/QoreFile.h
Xinclude/qore/Qore.h
Xinclude/qore/QoreEvents.h
Xinclude/qore/QoreRWLock.h
X@dirrm include/qore
c750defbdb9ee7095f0bb4f42474a41a
exit
--- qore.report ends here ---
Comment 1 dfilter service freebsd_committer 2009-11-13 02:08:52 UTC
vanilla     2009-11-13 02:08:43 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/qore            Makefile distinfo pkg-descr pkg-plist 
    lang/qore/files      patch-configure 
  Log:
  Add qore 0.7.6, the Qore Programming Language.
  
  PR:             ports/140515
  Submitted by:   B. Estrade <estrabd at gmail.com>
  
  Revision  Changes    Path
  1.660     +1 -0      ports/lang/Makefile
  1.1       +27 -0     ports/lang/qore/Makefile (new)
  1.1       +3 -0      ports/lang/qore/distinfo (new)
  1.1       +11 -0     ports/lang/qore/files/patch-configure (new)
  1.1       +4 -0      ports/lang/qore/pkg-descr (new)
  1.1       +75 -0     ports/lang/qore/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Vanilla I. Shu freebsd_committer 2009-11-13 02:10:06 UTC
State Changed
From-To: open->closed

Committed, thanks. 

try to portlint(1) before send-pr.